'******************************************************************************
'                            TR_DEFS.BAS
'                            11.11.2006 b
'
'                  (c) Birger Tpelmann kw41@gmx.de
'******************************************************************************
$IF 0 ' Kommentare in Schwarz auf weiss

TROLL-Praxis 1. Vorhaben:

In der halbdunklen nur vom PC-Monitor beleuchteten Entwicklungsumgebung erweist 
sich das Nachschlagen im Buch ber die Verwendung und Adressierung der Trollpins 
mit dem Testboard TB1 als ziemlich lstig. 
Als erstes soll also eine Umgebung geschaffen werden, auch ohne das Buch auf die 
verwendete Hardware komfortabel zugreifen zu knnen.
Dieses Programm (das eigentlich noch gar keins ist) soll als Vorlage fr die 
weiteren Eigenentwicklungen mit dem il_Troll Testboard dienen.

$ENDIF
'
' Die Defines des Troll auf dem Testboard 1 ersparen hier das Blttern im Buch
'
'$DEBUG
$TROFF
         DEFINE device iL_Troll        
         DEFINE POTIL   = RA,0         ' P31 (links) an Analogeingang 1
         DEFINE POTIM   = RA,1         ' P32 (mitte) an Analogeingang 2
         DEFINE EINGANG = RA,2         ' K31:7-8 freier Digitaler Eingang
         DEFINE POTIR   = RA,3         ' P31 (rechts) an Analogeingang 3
         DEFINE TASTER  = RA,4         ' S33 Taster rechts
         
         DEFINE LEDNW   = RB,0         ' LED in Himmelsrichtungen bezeichnet
         DEFINE LEDN    = RB,1         '
         DEFINE LEDNO   = RB,2         ' NW | N | NO
         DEFINE LEDO    = RB,3         ' ---+---+---
         DEFINE LEDSO   = RB,4         '  W | M | O
         DEFINE LEDS    = RB,5         ' ---+---+---
         DEFINE LEDSW   = RB,6         ' SW | S | SO
         DEFINE LEDW    = RB,7
         
         DEFINE DIP1    = RC,0         ' DIP-Switch :1
         DEFINE DIP2    = RC,1         ' DIP-Switch :2
         DEFINE DIP3    = RC,2         ' DIP-Switch :3
         DEFINE DIP4    = RC,3         ' DIP-Switch :4
         DEFINE TASTEL  = RC,4         ' S51 Taster links
         DEFINE TASTEM  = RC,5         ' S52 Taster Mitte
         DEFINE LAUTSP  = RC,6         ' Lautsprecher
         DEFINE LEDM    = RC,7         ' Mittlere LED
'
' VAR -------------- Variablen -------------------------------------
'
         DEFINE mpv     = AUTO AS BYTE ' Multi Purpose Variable

'
' INIT ------------ Programmeinsprung nach Kaltstart ---------------
'
cold: 
         TRIS rb,%00000000             ' E/A-Initialisierung fr
         TRIS rc,%00111111             ' Testboard Hardware
         LET  rb = %10101010           ' Ausgabepins Grundstellung
         RES  LEDM
'         
' MAIN ------------ Hauptschleife E - V - A -------------------------
'
main:
'         GOSUB Eingabe
         GOSUB Verarbeitung
'         GOSUB Ausgabe
         
         WAIT  100
         GOTO main
'
' SUB --------------- Eingabe ---------------------------------------
'
Eingabe:
         RETURN
'
' SUB --------------- Verarbeitung ----------------------------------
'
Verarbeitung:
         IF TASTEL = 1 THEN RETURN     ' Taste nicht gedrckt
         SEROUT LAUTSP,2400,$66        ' Tastenklick
         WAIT 100                      ' (Entprellverzgerung ?!)
         TOGGLE LEDM                   ' ?! 
         RETURN
'
' SUB --------------- Ausgabe ---------------------------------------
'
Ausgabe:

         RETURN
'
' DAT --------------- DATA Zeilen -----------------------------------
'

'
' END --------------- Ende Gelnde ----------------------------------
'
         END         